xine-lib: xine-lib-1.2.12/src/video_dec/libopenhevc.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions | Variables
libopenhevc.c File Reference
`#include <stdlib.h>`
`#include <openHevcWrapper.h>`
`#include <xine/xine_internal.h>`
`#include <xine/video_out.h>`
`#include <xine/buffer.h>`

## Data Structures
struct | hevc_decoder_s

## Macros
#define | LOG_MODULE "libopenhevc"

## Typedefs
typedef struct hevc_decoder_s | hevc_decoder_t

## Functions
static void | hevc_decode_data (video_decoder_t *this_gen, buf_element_t *buf)
static void | hevc_flush (video_decoder_t *this_gen)
static void | hevc_reset (video_decoder_t *this_gen)
static void | hevc_discontinuity (video_decoder_t *this_gen)
static void | hevc_dispose (video_decoder_t *this_gen)
static video_decoder_t * | open_plugin (video_decoder_class_t *class_gen, xine_stream_t *stream)
static void * | init_plugin (xine_t *xine, const void *data)

## Variables
static const uint32_t | video_types []
static const decoder_info_t | dec_info_video
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "libopenhevc"

## Typedef Documentation

## ◆ hevc_decoder_t

typedef struct hevc_decoder_s hevc_decoder_t

## Function Documentation

## ◆ hevc_decode_data()

static void hevc_decode_data | ( | video_decoder_t * | this_gen,
|  | buf_element_t * | buf
| ) |  |
| static

References _x_meta_info_set_utf8(), vo_frame_s::bad_frame, vo_frame_s::base, BUF_FLAG_COLOR_MATRIX, BUF_FLAG_FRAME_END, BUF_FLAG_PREVIEW, BUF_FLAG_SPECIAL, BUF_FLAG_STDHEADER, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, vo_frame_s::draw, vo_frame_s::free, vo_frame_s::height, LOG_MODULE, vo_frame_s::pitches, vo_frame_s::progressive_frame, buf_element_s::pts, vo_frame_s::pts, buf_element_s::size, VO_BOTH_FIELDS, VO_SET_FLAGS_CM, vo_frame_s::width, xine_fast_memcpy, XINE_IMGFMT_YV12, XINE_META_INFO_VIDEOCODEC, XINE_VERBOSITY_LOG, and xprintf.

Referenced by open_plugin().

## ◆ hevc_discontinuity()

static void hevc_discontinuity | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ hevc_dispose()

static void hevc_dispose | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ hevc_flush()

static void hevc_flush | ( | video_decoder_t * | this_gen | ) |
| static

Referenced by hevc_reset(), and open_plugin().

## ◆ hevc_reset()

static void hevc_reset | ( | video_decoder_t * | this_gen | ) |
| static

References hevc_flush().

Referenced by open_plugin().

## ◆ init_plugin()

static void * init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |
| static

References N_, NULL, open_plugin(), and video_decoder_class_s::open_plugin.

## ◆ open_plugin()

static video_decoder_t * open_plugin | ( | video_decoder_class_t * | class_gen,
|  | xine_stream_t * | stream
| ) |  |
| static

References hevc_decode_data(), hevc_discontinuity(), hevc_dispose(), hevc_flush(), hevc_reset(), LOG_MODULE, NULL, xine_stream_s::xine, XINE_VERBOSITY_LOG, and xprintf.

Referenced by init_plugin().

## Variable Documentation

## ◆ dec_info_video

const decoder_info_t dec_info_video
| static

Initial value:
= {
.supported_types = video_types,
.priority = 1,
}
video_types
static const uint32_t video_types[]
Definition: libopenhevc.c:250

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_VIDEO_DECODER, 19, "libopenhevc", XINE_VERSION_CODE, &dec_info_video, init_plugin },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
dec_info_video
static const decoder_info_t dec_info_video
Definition: libopenhevc.c:255
init_plugin
static void * init_plugin(xine_t *xine, const void *data)
Definition: libopenhevc.c:231
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition: xine_internal.h:57
NULL
NULL
Definition: xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition: xine_plugin.h:29
PLUGIN_VIDEO_DECODER
#define PLUGIN_VIDEO_DECODER
Definition: xine_plugin.h:33

## ◆ video_types

const uint32_t video_types[]
| static

Initial value:
= {
BUF_VIDEO_HEVC,
0
}
BUF_VIDEO_HEVC
#define BUF_VIDEO_HEVC
Definition: buffer.h:196